"""Test journal views and helper methods."""
from incorporealcms.journal import journal_file_resolver


def test_journal_file_resolver_dir_to_index():
    assert journal_file_resolver('/foo/') == '/foo/index'


def test_journal_file_resolver_subdir_to_index():
    assert journal_file_resolver('/foo/bar/') == '/foo/bar/index'


def test_journal_file_resolver_other_requests_fine():
    assert journal_file_resolver('/foo/baz') == '/foo/baz'
